using System;
using System.Data.SQLite;
using System.IO;

namespace TourDataManager {
    public class DbTest {
        public DbTest(string databasePath){

            if(!File.Exists(databasePath)) SQLiteConnection.CreateFile(databasePath);
            SQLiteConnection m_dbConnection;
            try{
                m_dbConnection = new SQLiteConnection($"Data Source={databasePath};Version=3;");
                m_dbConnection.Open();
            } catch (Exception e){
                Console.WriteLine(e);
                throw;
            }
            string sql = "create table highscores (name varchar(20), score int)";
            var command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();
            
            //Fill
            sql = "insert into highscores (name, score) values ('Me', 3000)";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();
            sql = "insert into highscores (name, score) values ('Myself', 6000)";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();
            sql = "insert into highscores (name, score) values ('And I', 9001)";
            command = new SQLiteCommand(sql, m_dbConnection);
            command.ExecuteNonQuery();
            
            sql = "select * from highscores order by score desc";
            command = new SQLiteCommand(sql, m_dbConnection);
            SQLiteDataReader reader = command.ExecuteReader();
            while (reader.Read())
                Debug.Log("Name: " + reader["name"] + "\tScore: " + reader["score"]);
        }
    }
}